# tox (https://tox.readthedocs.io/) is a tool for running tests
# in multiple virtualenvs. This configuration file will run the
# test suite on all supported python versions. To use it, "pip install tox"
# and then run "tox" from this directory.

[tox]
envlist = py{36, 37, 38, 39}
skipsdist=True

[pytest]
addopts = --doctest-modules
testpaths =
    examplecurves
    tests


[testenv:py36]
deps =
    importlib_resources
    pytest-cov
    pandas
    numpy
    scipy
    dicthandling
    doctestprinter
    matplotlib
    coveralls
passenv =
  CI
  TRAVIS
  TRAVIS_*

commands =
    coverage run -m py.test --doctest-modules --cov-report=xml
    - coveralls

[testenv:py{37, 38, 39}]
deps =
    pytest-cov
    pandas
    numpy
    scipy
    dicthandling
    doctestprinter
    matplotlib
    coveralls
passenv =
    CI
    TRAVIS
    TRAVIS_*

commands =
    coverage run -m py.test --doctest-modules --cov-report=xml
    - coveralls